<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.WobugeqMapper">
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Wobugeq">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="ID" jdbcType="NUMERIC" property="id" />
    <result column="BUGNUM" jdbcType="NVARCHAR" property="bugnum" />
    <result column="EQNUM" jdbcType="NVARCHAR" property="eqnum" />
    <result column="EQTYPE" jdbcType="NVARCHAR" property="eqtype" />
    <result column="EQCLASS" jdbcType="NVARCHAR" property="eqclass" />
    <result column="DESCRIPTION" jdbcType="NVARCHAR" property="description" />
    <result column="REPORTLABORNUM" jdbcType="NVARCHAR" property="reportlabornum" />
    <result column="FINDLABORNUM" jdbcType="NVARCHAR" property="findlabornum" />
    <result column="FINDTIME" jdbcType="TIMESTAMP" property="findtime" />
    <result column="BUGTYPE" jdbcType="NVARCHAR" property="bugtype" />
    <result column="RUNDEPTOPINION" jdbcType="NVARCHAR" property="rundeptopinion" />
    <result column="RUNDEPTLABORNUM" jdbcType="NVARCHAR" property="rundeptlabornum" />
    <result column="RUNDEPTBUGTYPE" jdbcType="NVARCHAR" property="rundeptbugtype" />
    <result column="ISPOWERCUT" jdbcType="NVARCHAR" property="ispowercut" />
    <result column="TRANSMITTIME" jdbcType="TIMESTAMP" property="transmittime" />
    <result column="TRANSMITDEPTNUM" jdbcType="NVARCHAR" property="transmitdeptnum" />
    <result column="PRODTDEPTOPINION" jdbcType="NVARCHAR" property="prodtdeptopinion" />
    <result column="PRODTDEPTTIME" jdbcType="TIMESTAMP" property="prodtdepttime" />
    <result column="LOCATION" jdbcType="NVARCHAR" property="location" />
    <result column="PRODTDEPTLABORNUM" jdbcType="NVARCHAR" property="prodtdeptlabornum" />
    <result column="REPAIRDEPTOPINION" jdbcType="NVARCHAR" property="repairdeptopinion" />
    <result column="REPAIRDEPTBUGTYPE" jdbcType="NVARCHAR" property="repairdeptbugtype" />
    <result column="REPAIRDEPTTIME" jdbcType="TIMESTAMP" property="repairdepttime" />
    <result column="REPAIRDEPTLABORNUM" jdbcType="NVARCHAR" property="repairdeptlabornum" />
    <result column="REPAIREDTIME" jdbcType="TIMESTAMP" property="repairedtime" />
    <result column="REPAIREDCOMMENT" jdbcType="NVARCHAR" property="repairedcomment" />
    <result column="ISRESOLVED" jdbcType="NVARCHAR" property="isresolved" />
    <result column="UNRESOLVEDBUG" jdbcType="NVARCHAR" property="unresolvedbug" />
    <result column="ISDEGRADED" jdbcType="NVARCHAR" property="isdegraded" />
    <result column="DEGRADEBUGTYPE" jdbcType="NVARCHAR" property="degradebugtype" />
    <result column="CHECKDEPTOPINION" jdbcType="NVARCHAR" property="checkdeptopinion" />
    <result column="CHECKTIME" jdbcType="TIMESTAMP" property="checktime" />
    <result column="CHECKDEPTLABORNUM" jdbcType="NVARCHAR" property="checkdeptlabornum" />
    <result column="LASTBUGTYPE" jdbcType="NVARCHAR" property="lastbugtype" />
    <result column="BUGANALIS" jdbcType="NVARCHAR" property="buganalis" />
    <result column="REMARK" jdbcType="NVARCHAR" property="remark" />
    <result column="STATUS" jdbcType="NVARCHAR" property="status" />
    <result column="STATUSDATE" jdbcType="TIMESTAMP" property="statusdate" />
    <result column="APPROVELABORNUM" jdbcType="NVARCHAR" property="approvelabornum" />
    <result column="SITENUM" jdbcType="NVARCHAR" property="sitenum" />
    <result column="CORPNUM" jdbcType="NVARCHAR" property="corpnum" />
    <result column="LOADEROPINION" jdbcType="NVARCHAR" property="loaderopinion" />
    <result column="CJZROPINION" jdbcType="NVARCHAR" property="cjzropinion" />
    <result column="YIJICHUSHI" jdbcType="NVARCHAR" property="yijichushi" />
    <result column="YXISPOWERCUT" jdbcType="NVARCHAR" property="yxispowercut" />
    <result column="DEPARTURETIME" jdbcType="TIMESTAMP" property="departuretime" />
    <result column="ARRIVALTIME" jdbcType="TIMESTAMP" property="arrivaltime" />
    <result column="WORKLEADER" jdbcType="NVARCHAR" property="workleader" />
    <result column="WORKGROUP" jdbcType="NVARCHAR" property="workgroup" />
    <result column="STAFFNUMBER" jdbcType="NVARCHAR" property="staffnumber" />
    <result column="WORKGROUP1" jdbcType="NVARCHAR" property="workgroup1" />
    <result column="WORKGROUP2" jdbcType="NVARCHAR" property="workgroup2" />
    <result column="ACUSSTA" jdbcType="NVARCHAR" property="acussta" />
    <result column="GRIDTIME" jdbcType="TIMESTAMP" property="gridtime" />
    <result column="NODETYPE" jdbcType="NVARCHAR" property="nodetype" />
    <result column="WTNUM" jdbcType="NVARCHAR" property="wtnum" />
    <result column="FAILURECODE" jdbcType="NVARCHAR" property="failurecode" />
    <result column="WFNUM" jdbcType="NVARCHAR" property="wfnum" />
    <result column="AVGWINSPE" jdbcType="DECIMAL" property="avgwinspe" />
    <result column="CLASSIFICATION" jdbcType="NVARCHAR" property="classification" />
    <result column="REPAIRDEPTBUGTYPE1" jdbcType="NVARCHAR" property="repairdeptbugtype1" />
    <result column="WSPEED" jdbcType="DECIMAL" property="wspeed" />
    <result column="WARNID" jdbcType="NUMERIC" property="warnid" />
    <result column="SNAPID" jdbcType="NVARCHAR" property="snapid" />
    <result column="SNAPNAME" jdbcType="NVARCHAR" property="snapname" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    ID, BUGNUM, EQNUM, EQTYPE, EQCLASS, DESCRIPTION, REPORTLABORNUM, FINDLABORNUM, FINDTIME, 
    BUGTYPE, RUNDEPTOPINION, RUNDEPTLABORNUM, RUNDEPTBUGTYPE, ISPOWERCUT, TRANSMITTIME, 
    TRANSMITDEPTNUM, PRODTDEPTOPINION, PRODTDEPTTIME, LOCATION, PRODTDEPTLABORNUM, REPAIRDEPTOPINION, 
    REPAIRDEPTBUGTYPE, REPAIRDEPTTIME, REPAIRDEPTLABORNUM, REPAIREDTIME, REPAIREDCOMMENT, 
    ISRESOLVED, UNRESOLVEDBUG, ISDEGRADED, DEGRADEBUGTYPE, CHECKDEPTOPINION, CHECKTIME, 
    CHECKDEPTLABORNUM, LASTBUGTYPE, BUGANALIS, REMARK, STATUS, STATUSDATE, APPROVELABORNUM, 
    SITENUM, CORPNUM, LOADEROPINION, CJZROPINION, YIJICHUSHI, YXISPOWERCUT, DEPARTURETIME, 
    ARRIVALTIME, WORKLEADER, WORKGROUP, STAFFNUMBER, WORKGROUP1, WORKGROUP2, ACUSSTA, 
    GRIDTIME, NODETYPE, WTNUM, FAILURECODE, WFNUM, AVGWINSPE, CLASSIFICATION, REPAIRDEPTBUGTYPE1, 
    WSPEED, WARNID, SNAPID, SNAPNAME
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.WobugeqExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from WOBUGEQ
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.math.BigDecimal" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from WOBUGEQ
    where ID = #{id,jdbcType=NUMERIC}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.math.BigDecimal">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from WOBUGEQ
    where ID = #{id,jdbcType=NUMERIC}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.WobugeqExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from WOBUGEQ
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Wobugeq">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into WOBUGEQ (ID, BUGNUM, EQNUM, 
      EQTYPE, EQCLASS, DESCRIPTION, 
      REPORTLABORNUM, FINDLABORNUM, FINDTIME, 
      BUGTYPE, RUNDEPTOPINION, RUNDEPTLABORNUM, 
      RUNDEPTBUGTYPE, ISPOWERCUT, TRANSMITTIME, 
      TRANSMITDEPTNUM, PRODTDEPTOPINION, PRODTDEPTTIME, 
      LOCATION, PRODTDEPTLABORNUM, REPAIRDEPTOPINION, 
      REPAIRDEPTBUGTYPE, REPAIRDEPTTIME, REPAIRDEPTLABORNUM, 
      REPAIREDTIME, REPAIREDCOMMENT, ISRESOLVED, 
      UNRESOLVEDBUG, ISDEGRADED, DEGRADEBUGTYPE, 
      CHECKDEPTOPINION, CHECKTIME, CHECKDEPTLABORNUM, 
      LASTBUGTYPE, BUGANALIS, REMARK, 
      STATUS, STATUSDATE, APPROVELABORNUM, 
      SITENUM, CORPNUM, LOADEROPINION, 
      CJZROPINION, YIJICHUSHI, YXISPOWERCUT, 
      DEPARTURETIME, ARRIVALTIME, WORKLEADER, 
      WORKGROUP, STAFFNUMBER, WORKGROUP1, 
      WORKGROUP2, ACUSSTA, GRIDTIME, 
      NODETYPE, WTNUM, FAILURECODE, 
      WFNUM, AVGWINSPE, CLASSIFICATION, 
      REPAIRDEPTBUGTYPE1, WSPEED, WARNID, 
      SNAPID, SNAPNAME)
    values (#{id,jdbcType=NUMERIC}, #{bugnum,jdbcType=NVARCHAR}, #{eqnum,jdbcType=NVARCHAR}, 
      #{eqtype,jdbcType=NVARCHAR}, #{eqclass,jdbcType=NVARCHAR}, #{description,jdbcType=NVARCHAR}, 
      #{reportlabornum,jdbcType=NVARCHAR}, #{findlabornum,jdbcType=NVARCHAR}, #{findtime,jdbcType=TIMESTAMP}, 
      #{bugtype,jdbcType=NVARCHAR}, #{rundeptopinion,jdbcType=NVARCHAR}, #{rundeptlabornum,jdbcType=NVARCHAR}, 
      #{rundeptbugtype,jdbcType=NVARCHAR}, #{ispowercut,jdbcType=NVARCHAR}, #{transmittime,jdbcType=TIMESTAMP}, 
      #{transmitdeptnum,jdbcType=NVARCHAR}, #{prodtdeptopinion,jdbcType=NVARCHAR}, #{prodtdepttime,jdbcType=TIMESTAMP}, 
      #{location,jdbcType=NVARCHAR}, #{prodtdeptlabornum,jdbcType=NVARCHAR}, #{repairdeptopinion,jdbcType=NVARCHAR}, 
      #{repairdeptbugtype,jdbcType=NVARCHAR}, #{repairdepttime,jdbcType=TIMESTAMP}, #{repairdeptlabornum,jdbcType=NVARCHAR}, 
      #{repairedtime,jdbcType=TIMESTAMP}, #{repairedcomment,jdbcType=NVARCHAR}, #{isresolved,jdbcType=NVARCHAR}, 
      #{unresolvedbug,jdbcType=NVARCHAR}, #{isdegraded,jdbcType=NVARCHAR}, #{degradebugtype,jdbcType=NVARCHAR}, 
      #{checkdeptopinion,jdbcType=NVARCHAR}, #{checktime,jdbcType=TIMESTAMP}, #{checkdeptlabornum,jdbcType=NVARCHAR}, 
      #{lastbugtype,jdbcType=NVARCHAR}, #{buganalis,jdbcType=NVARCHAR}, #{remark,jdbcType=NVARCHAR}, 
      #{status,jdbcType=NVARCHAR}, #{statusdate,jdbcType=TIMESTAMP}, #{approvelabornum,jdbcType=NVARCHAR}, 
      #{sitenum,jdbcType=NVARCHAR}, #{corpnum,jdbcType=NVARCHAR}, #{loaderopinion,jdbcType=NVARCHAR}, 
      #{cjzropinion,jdbcType=NVARCHAR}, #{yijichushi,jdbcType=NVARCHAR}, #{yxispowercut,jdbcType=NVARCHAR}, 
      #{departuretime,jdbcType=TIMESTAMP}, #{arrivaltime,jdbcType=TIMESTAMP}, #{workleader,jdbcType=NVARCHAR}, 
      #{workgroup,jdbcType=NVARCHAR}, #{staffnumber,jdbcType=NVARCHAR}, #{workgroup1,jdbcType=NVARCHAR}, 
      #{workgroup2,jdbcType=NVARCHAR}, #{acussta,jdbcType=NVARCHAR}, #{gridtime,jdbcType=TIMESTAMP}, 
      #{nodetype,jdbcType=NVARCHAR}, #{wtnum,jdbcType=NVARCHAR}, #{failurecode,jdbcType=NVARCHAR}, 
      #{wfnum,jdbcType=NVARCHAR}, #{avgwinspe,jdbcType=DECIMAL}, #{classification,jdbcType=NVARCHAR}, 
      #{repairdeptbugtype1,jdbcType=NVARCHAR}, #{wspeed,jdbcType=DECIMAL}, #{warnid,jdbcType=NUMERIC}, 
      #{snapid,jdbcType=NVARCHAR}, #{snapname,jdbcType=NVARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Wobugeq">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into WOBUGEQ
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        ID,
      </if>
      <if test="bugnum != null">
        BUGNUM,
      </if>
      <if test="eqnum != null">
        EQNUM,
      </if>
      <if test="eqtype != null">
        EQTYPE,
      </if>
      <if test="eqclass != null">
        EQCLASS,
      </if>
      <if test="description != null">
        DESCRIPTION,
      </if>
      <if test="reportlabornum != null">
        REPORTLABORNUM,
      </if>
      <if test="findlabornum != null">
        FINDLABORNUM,
      </if>
      <if test="findtime != null">
        FINDTIME,
      </if>
      <if test="bugtype != null">
        BUGTYPE,
      </if>
      <if test="rundeptopinion != null">
        RUNDEPTOPINION,
      </if>
      <if test="rundeptlabornum != null">
        RUNDEPTLABORNUM,
      </if>
      <if test="rundeptbugtype != null">
        RUNDEPTBUGTYPE,
      </if>
      <if test="ispowercut != null">
        ISPOWERCUT,
      </if>
      <if test="transmittime != null">
        TRANSMITTIME,
      </if>
      <if test="transmitdeptnum != null">
        TRANSMITDEPTNUM,
      </if>
      <if test="prodtdeptopinion != null">
        PRODTDEPTOPINION,
      </if>
      <if test="prodtdepttime != null">
        PRODTDEPTTIME,
      </if>
      <if test="location != null">
        LOCATION,
      </if>
      <if test="prodtdeptlabornum != null">
        PRODTDEPTLABORNUM,
      </if>
      <if test="repairdeptopinion != null">
        REPAIRDEPTOPINION,
      </if>
      <if test="repairdeptbugtype != null">
        REPAIRDEPTBUGTYPE,
      </if>
      <if test="repairdepttime != null">
        REPAIRDEPTTIME,
      </if>
      <if test="repairdeptlabornum != null">
        REPAIRDEPTLABORNUM,
      </if>
      <if test="repairedtime != null">
        REPAIREDTIME,
      </if>
      <if test="repairedcomment != null">
        REPAIREDCOMMENT,
      </if>
      <if test="isresolved != null">
        ISRESOLVED,
      </if>
      <if test="unresolvedbug != null">
        UNRESOLVEDBUG,
      </if>
      <if test="isdegraded != null">
        ISDEGRADED,
      </if>
      <if test="degradebugtype != null">
        DEGRADEBUGTYPE,
      </if>
      <if test="checkdeptopinion != null">
        CHECKDEPTOPINION,
      </if>
      <if test="checktime != null">
        CHECKTIME,
      </if>
      <if test="checkdeptlabornum != null">
        CHECKDEPTLABORNUM,
      </if>
      <if test="lastbugtype != null">
        LASTBUGTYPE,
      </if>
      <if test="buganalis != null">
        BUGANALIS,
      </if>
      <if test="remark != null">
        REMARK,
      </if>
      <if test="status != null">
        STATUS,
      </if>
      <if test="statusdate != null">
        STATUSDATE,
      </if>
      <if test="approvelabornum != null">
        APPROVELABORNUM,
      </if>
      <if test="sitenum != null">
        SITENUM,
      </if>
      <if test="corpnum != null">
        CORPNUM,
      </if>
      <if test="loaderopinion != null">
        LOADEROPINION,
      </if>
      <if test="cjzropinion != null">
        CJZROPINION,
      </if>
      <if test="yijichushi != null">
        YIJICHUSHI,
      </if>
      <if test="yxispowercut != null">
        YXISPOWERCUT,
      </if>
      <if test="departuretime != null">
        DEPARTURETIME,
      </if>
      <if test="arrivaltime != null">
        ARRIVALTIME,
      </if>
      <if test="workleader != null">
        WORKLEADER,
      </if>
      <if test="workgroup != null">
        WORKGROUP,
      </if>
      <if test="staffnumber != null">
        STAFFNUMBER,
      </if>
      <if test="workgroup1 != null">
        WORKGROUP1,
      </if>
      <if test="workgroup2 != null">
        WORKGROUP2,
      </if>
      <if test="acussta != null">
        ACUSSTA,
      </if>
      <if test="gridtime != null">
        GRIDTIME,
      </if>
      <if test="nodetype != null">
        NODETYPE,
      </if>
      <if test="wtnum != null">
        WTNUM,
      </if>
      <if test="failurecode != null">
        FAILURECODE,
      </if>
      <if test="wfnum != null">
        WFNUM,
      </if>
      <if test="avgwinspe != null">
        AVGWINSPE,
      </if>
      <if test="classification != null">
        CLASSIFICATION,
      </if>
      <if test="repairdeptbugtype1 != null">
        REPAIRDEPTBUGTYPE1,
      </if>
      <if test="wspeed != null">
        WSPEED,
      </if>
      <if test="warnid != null">
        WARNID,
      </if>
      <if test="snapid != null">
        SNAPID,
      </if>
      <if test="snapname != null">
        SNAPNAME,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=NUMERIC},
      </if>
      <if test="bugnum != null">
        #{bugnum,jdbcType=NVARCHAR},
      </if>
      <if test="eqnum != null">
        #{eqnum,jdbcType=NVARCHAR},
      </if>
      <if test="eqtype != null">
        #{eqtype,jdbcType=NVARCHAR},
      </if>
      <if test="eqclass != null">
        #{eqclass,jdbcType=NVARCHAR},
      </if>
      <if test="description != null">
        #{description,jdbcType=NVARCHAR},
      </if>
      <if test="reportlabornum != null">
        #{reportlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="findlabornum != null">
        #{findlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="findtime != null">
        #{findtime,jdbcType=TIMESTAMP},
      </if>
      <if test="bugtype != null">
        #{bugtype,jdbcType=NVARCHAR},
      </if>
      <if test="rundeptopinion != null">
        #{rundeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="rundeptlabornum != null">
        #{rundeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="rundeptbugtype != null">
        #{rundeptbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="ispowercut != null">
        #{ispowercut,jdbcType=NVARCHAR},
      </if>
      <if test="transmittime != null">
        #{transmittime,jdbcType=TIMESTAMP},
      </if>
      <if test="transmitdeptnum != null">
        #{transmitdeptnum,jdbcType=NVARCHAR},
      </if>
      <if test="prodtdeptopinion != null">
        #{prodtdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="prodtdepttime != null">
        #{prodtdepttime,jdbcType=TIMESTAMP},
      </if>
      <if test="location != null">
        #{location,jdbcType=NVARCHAR},
      </if>
      <if test="prodtdeptlabornum != null">
        #{prodtdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="repairdeptopinion != null">
        #{repairdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="repairdeptbugtype != null">
        #{repairdeptbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="repairdepttime != null">
        #{repairdepttime,jdbcType=TIMESTAMP},
      </if>
      <if test="repairdeptlabornum != null">
        #{repairdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="repairedtime != null">
        #{repairedtime,jdbcType=TIMESTAMP},
      </if>
      <if test="repairedcomment != null">
        #{repairedcomment,jdbcType=NVARCHAR},
      </if>
      <if test="isresolved != null">
        #{isresolved,jdbcType=NVARCHAR},
      </if>
      <if test="unresolvedbug != null">
        #{unresolvedbug,jdbcType=NVARCHAR},
      </if>
      <if test="isdegraded != null">
        #{isdegraded,jdbcType=NVARCHAR},
      </if>
      <if test="degradebugtype != null">
        #{degradebugtype,jdbcType=NVARCHAR},
      </if>
      <if test="checkdeptopinion != null">
        #{checkdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="checktime != null">
        #{checktime,jdbcType=TIMESTAMP},
      </if>
      <if test="checkdeptlabornum != null">
        #{checkdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="lastbugtype != null">
        #{lastbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="buganalis != null">
        #{buganalis,jdbcType=NVARCHAR},
      </if>
      <if test="remark != null">
        #{remark,jdbcType=NVARCHAR},
      </if>
      <if test="status != null">
        #{status,jdbcType=NVARCHAR},
      </if>
      <if test="statusdate != null">
        #{statusdate,jdbcType=TIMESTAMP},
      </if>
      <if test="approvelabornum != null">
        #{approvelabornum,jdbcType=NVARCHAR},
      </if>
      <if test="sitenum != null">
        #{sitenum,jdbcType=NVARCHAR},
      </if>
      <if test="corpnum != null">
        #{corpnum,jdbcType=NVARCHAR},
      </if>
      <if test="loaderopinion != null">
        #{loaderopinion,jdbcType=NVARCHAR},
      </if>
      <if test="cjzropinion != null">
        #{cjzropinion,jdbcType=NVARCHAR},
      </if>
      <if test="yijichushi != null">
        #{yijichushi,jdbcType=NVARCHAR},
      </if>
      <if test="yxispowercut != null">
        #{yxispowercut,jdbcType=NVARCHAR},
      </if>
      <if test="departuretime != null">
        #{departuretime,jdbcType=TIMESTAMP},
      </if>
      <if test="arrivaltime != null">
        #{arrivaltime,jdbcType=TIMESTAMP},
      </if>
      <if test="workleader != null">
        #{workleader,jdbcType=NVARCHAR},
      </if>
      <if test="workgroup != null">
        #{workgroup,jdbcType=NVARCHAR},
      </if>
      <if test="staffnumber != null">
        #{staffnumber,jdbcType=NVARCHAR},
      </if>
      <if test="workgroup1 != null">
        #{workgroup1,jdbcType=NVARCHAR},
      </if>
      <if test="workgroup2 != null">
        #{workgroup2,jdbcType=NVARCHAR},
      </if>
      <if test="acussta != null">
        #{acussta,jdbcType=NVARCHAR},
      </if>
      <if test="gridtime != null">
        #{gridtime,jdbcType=TIMESTAMP},
      </if>
      <if test="nodetype != null">
        #{nodetype,jdbcType=NVARCHAR},
      </if>
      <if test="wtnum != null">
        #{wtnum,jdbcType=NVARCHAR},
      </if>
      <if test="failurecode != null">
        #{failurecode,jdbcType=NVARCHAR},
      </if>
      <if test="wfnum != null">
        #{wfnum,jdbcType=NVARCHAR},
      </if>
      <if test="avgwinspe != null">
        #{avgwinspe,jdbcType=DECIMAL},
      </if>
      <if test="classification != null">
        #{classification,jdbcType=NVARCHAR},
      </if>
      <if test="repairdeptbugtype1 != null">
        #{repairdeptbugtype1,jdbcType=NVARCHAR},
      </if>
      <if test="wspeed != null">
        #{wspeed,jdbcType=DECIMAL},
      </if>
      <if test="warnid != null">
        #{warnid,jdbcType=NUMERIC},
      </if>
      <if test="snapid != null">
        #{snapid,jdbcType=NVARCHAR},
      </if>
      <if test="snapname != null">
        #{snapname,jdbcType=NVARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.WobugeqExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from WOBUGEQ
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WOBUGEQ
    <set>
      <if test="record.id != null">
        ID = #{record.id,jdbcType=NUMERIC},
      </if>
      <if test="record.bugnum != null">
        BUGNUM = #{record.bugnum,jdbcType=NVARCHAR},
      </if>
      <if test="record.eqnum != null">
        EQNUM = #{record.eqnum,jdbcType=NVARCHAR},
      </if>
      <if test="record.eqtype != null">
        EQTYPE = #{record.eqtype,jdbcType=NVARCHAR},
      </if>
      <if test="record.eqclass != null">
        EQCLASS = #{record.eqclass,jdbcType=NVARCHAR},
      </if>
      <if test="record.description != null">
        DESCRIPTION = #{record.description,jdbcType=NVARCHAR},
      </if>
      <if test="record.reportlabornum != null">
        REPORTLABORNUM = #{record.reportlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="record.findlabornum != null">
        FINDLABORNUM = #{record.findlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="record.findtime != null">
        FINDTIME = #{record.findtime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.bugtype != null">
        BUGTYPE = #{record.bugtype,jdbcType=NVARCHAR},
      </if>
      <if test="record.rundeptopinion != null">
        RUNDEPTOPINION = #{record.rundeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="record.rundeptlabornum != null">
        RUNDEPTLABORNUM = #{record.rundeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="record.rundeptbugtype != null">
        RUNDEPTBUGTYPE = #{record.rundeptbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="record.ispowercut != null">
        ISPOWERCUT = #{record.ispowercut,jdbcType=NVARCHAR},
      </if>
      <if test="record.transmittime != null">
        TRANSMITTIME = #{record.transmittime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.transmitdeptnum != null">
        TRANSMITDEPTNUM = #{record.transmitdeptnum,jdbcType=NVARCHAR},
      </if>
      <if test="record.prodtdeptopinion != null">
        PRODTDEPTOPINION = #{record.prodtdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="record.prodtdepttime != null">
        PRODTDEPTTIME = #{record.prodtdepttime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.location != null">
        LOCATION = #{record.location,jdbcType=NVARCHAR},
      </if>
      <if test="record.prodtdeptlabornum != null">
        PRODTDEPTLABORNUM = #{record.prodtdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="record.repairdeptopinion != null">
        REPAIRDEPTOPINION = #{record.repairdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="record.repairdeptbugtype != null">
        REPAIRDEPTBUGTYPE = #{record.repairdeptbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="record.repairdepttime != null">
        REPAIRDEPTTIME = #{record.repairdepttime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.repairdeptlabornum != null">
        REPAIRDEPTLABORNUM = #{record.repairdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="record.repairedtime != null">
        REPAIREDTIME = #{record.repairedtime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.repairedcomment != null">
        REPAIREDCOMMENT = #{record.repairedcomment,jdbcType=NVARCHAR},
      </if>
      <if test="record.isresolved != null">
        ISRESOLVED = #{record.isresolved,jdbcType=NVARCHAR},
      </if>
      <if test="record.unresolvedbug != null">
        UNRESOLVEDBUG = #{record.unresolvedbug,jdbcType=NVARCHAR},
      </if>
      <if test="record.isdegraded != null">
        ISDEGRADED = #{record.isdegraded,jdbcType=NVARCHAR},
      </if>
      <if test="record.degradebugtype != null">
        DEGRADEBUGTYPE = #{record.degradebugtype,jdbcType=NVARCHAR},
      </if>
      <if test="record.checkdeptopinion != null">
        CHECKDEPTOPINION = #{record.checkdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="record.checktime != null">
        CHECKTIME = #{record.checktime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.checkdeptlabornum != null">
        CHECKDEPTLABORNUM = #{record.checkdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="record.lastbugtype != null">
        LASTBUGTYPE = #{record.lastbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="record.buganalis != null">
        BUGANALIS = #{record.buganalis,jdbcType=NVARCHAR},
      </if>
      <if test="record.remark != null">
        REMARK = #{record.remark,jdbcType=NVARCHAR},
      </if>
      <if test="record.status != null">
        STATUS = #{record.status,jdbcType=NVARCHAR},
      </if>
      <if test="record.statusdate != null">
        STATUSDATE = #{record.statusdate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.approvelabornum != null">
        APPROVELABORNUM = #{record.approvelabornum,jdbcType=NVARCHAR},
      </if>
      <if test="record.sitenum != null">
        SITENUM = #{record.sitenum,jdbcType=NVARCHAR},
      </if>
      <if test="record.corpnum != null">
        CORPNUM = #{record.corpnum,jdbcType=NVARCHAR},
      </if>
      <if test="record.loaderopinion != null">
        LOADEROPINION = #{record.loaderopinion,jdbcType=NVARCHAR},
      </if>
      <if test="record.cjzropinion != null">
        CJZROPINION = #{record.cjzropinion,jdbcType=NVARCHAR},
      </if>
      <if test="record.yijichushi != null">
        YIJICHUSHI = #{record.yijichushi,jdbcType=NVARCHAR},
      </if>
      <if test="record.yxispowercut != null">
        YXISPOWERCUT = #{record.yxispowercut,jdbcType=NVARCHAR},
      </if>
      <if test="record.departuretime != null">
        DEPARTURETIME = #{record.departuretime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.arrivaltime != null">
        ARRIVALTIME = #{record.arrivaltime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.workleader != null">
        WORKLEADER = #{record.workleader,jdbcType=NVARCHAR},
      </if>
      <if test="record.workgroup != null">
        WORKGROUP = #{record.workgroup,jdbcType=NVARCHAR},
      </if>
      <if test="record.staffnumber != null">
        STAFFNUMBER = #{record.staffnumber,jdbcType=NVARCHAR},
      </if>
      <if test="record.workgroup1 != null">
        WORKGROUP1 = #{record.workgroup1,jdbcType=NVARCHAR},
      </if>
      <if test="record.workgroup2 != null">
        WORKGROUP2 = #{record.workgroup2,jdbcType=NVARCHAR},
      </if>
      <if test="record.acussta != null">
        ACUSSTA = #{record.acussta,jdbcType=NVARCHAR},
      </if>
      <if test="record.gridtime != null">
        GRIDTIME = #{record.gridtime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.nodetype != null">
        NODETYPE = #{record.nodetype,jdbcType=NVARCHAR},
      </if>
      <if test="record.wtnum != null">
        WTNUM = #{record.wtnum,jdbcType=NVARCHAR},
      </if>
      <if test="record.failurecode != null">
        FAILURECODE = #{record.failurecode,jdbcType=NVARCHAR},
      </if>
      <if test="record.wfnum != null">
        WFNUM = #{record.wfnum,jdbcType=NVARCHAR},
      </if>
      <if test="record.avgwinspe != null">
        AVGWINSPE = #{record.avgwinspe,jdbcType=DECIMAL},
      </if>
      <if test="record.classification != null">
        CLASSIFICATION = #{record.classification,jdbcType=NVARCHAR},
      </if>
      <if test="record.repairdeptbugtype1 != null">
        REPAIRDEPTBUGTYPE1 = #{record.repairdeptbugtype1,jdbcType=NVARCHAR},
      </if>
      <if test="record.wspeed != null">
        WSPEED = #{record.wspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.warnid != null">
        WARNID = #{record.warnid,jdbcType=NUMERIC},
      </if>
      <if test="record.snapid != null">
        SNAPID = #{record.snapid,jdbcType=NVARCHAR},
      </if>
      <if test="record.snapname != null">
        SNAPNAME = #{record.snapname,jdbcType=NVARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WOBUGEQ
    set ID = #{record.id,jdbcType=NUMERIC},
      BUGNUM = #{record.bugnum,jdbcType=NVARCHAR},
      EQNUM = #{record.eqnum,jdbcType=NVARCHAR},
      EQTYPE = #{record.eqtype,jdbcType=NVARCHAR},
      EQCLASS = #{record.eqclass,jdbcType=NVARCHAR},
      DESCRIPTION = #{record.description,jdbcType=NVARCHAR},
      REPORTLABORNUM = #{record.reportlabornum,jdbcType=NVARCHAR},
      FINDLABORNUM = #{record.findlabornum,jdbcType=NVARCHAR},
      FINDTIME = #{record.findtime,jdbcType=TIMESTAMP},
      BUGTYPE = #{record.bugtype,jdbcType=NVARCHAR},
      RUNDEPTOPINION = #{record.rundeptopinion,jdbcType=NVARCHAR},
      RUNDEPTLABORNUM = #{record.rundeptlabornum,jdbcType=NVARCHAR},
      RUNDEPTBUGTYPE = #{record.rundeptbugtype,jdbcType=NVARCHAR},
      ISPOWERCUT = #{record.ispowercut,jdbcType=NVARCHAR},
      TRANSMITTIME = #{record.transmittime,jdbcType=TIMESTAMP},
      TRANSMITDEPTNUM = #{record.transmitdeptnum,jdbcType=NVARCHAR},
      PRODTDEPTOPINION = #{record.prodtdeptopinion,jdbcType=NVARCHAR},
      PRODTDEPTTIME = #{record.prodtdepttime,jdbcType=TIMESTAMP},
      LOCATION = #{record.location,jdbcType=NVARCHAR},
      PRODTDEPTLABORNUM = #{record.prodtdeptlabornum,jdbcType=NVARCHAR},
      REPAIRDEPTOPINION = #{record.repairdeptopinion,jdbcType=NVARCHAR},
      REPAIRDEPTBUGTYPE = #{record.repairdeptbugtype,jdbcType=NVARCHAR},
      REPAIRDEPTTIME = #{record.repairdepttime,jdbcType=TIMESTAMP},
      REPAIRDEPTLABORNUM = #{record.repairdeptlabornum,jdbcType=NVARCHAR},
      REPAIREDTIME = #{record.repairedtime,jdbcType=TIMESTAMP},
      REPAIREDCOMMENT = #{record.repairedcomment,jdbcType=NVARCHAR},
      ISRESOLVED = #{record.isresolved,jdbcType=NVARCHAR},
      UNRESOLVEDBUG = #{record.unresolvedbug,jdbcType=NVARCHAR},
      ISDEGRADED = #{record.isdegraded,jdbcType=NVARCHAR},
      DEGRADEBUGTYPE = #{record.degradebugtype,jdbcType=NVARCHAR},
      CHECKDEPTOPINION = #{record.checkdeptopinion,jdbcType=NVARCHAR},
      CHECKTIME = #{record.checktime,jdbcType=TIMESTAMP},
      CHECKDEPTLABORNUM = #{record.checkdeptlabornum,jdbcType=NVARCHAR},
      LASTBUGTYPE = #{record.lastbugtype,jdbcType=NVARCHAR},
      BUGANALIS = #{record.buganalis,jdbcType=NVARCHAR},
      REMARK = #{record.remark,jdbcType=NVARCHAR},
      STATUS = #{record.status,jdbcType=NVARCHAR},
      STATUSDATE = #{record.statusdate,jdbcType=TIMESTAMP},
      APPROVELABORNUM = #{record.approvelabornum,jdbcType=NVARCHAR},
      SITENUM = #{record.sitenum,jdbcType=NVARCHAR},
      CORPNUM = #{record.corpnum,jdbcType=NVARCHAR},
      LOADEROPINION = #{record.loaderopinion,jdbcType=NVARCHAR},
      CJZROPINION = #{record.cjzropinion,jdbcType=NVARCHAR},
      YIJICHUSHI = #{record.yijichushi,jdbcType=NVARCHAR},
      YXISPOWERCUT = #{record.yxispowercut,jdbcType=NVARCHAR},
      DEPARTURETIME = #{record.departuretime,jdbcType=TIMESTAMP},
      ARRIVALTIME = #{record.arrivaltime,jdbcType=TIMESTAMP},
      WORKLEADER = #{record.workleader,jdbcType=NVARCHAR},
      WORKGROUP = #{record.workgroup,jdbcType=NVARCHAR},
      STAFFNUMBER = #{record.staffnumber,jdbcType=NVARCHAR},
      WORKGROUP1 = #{record.workgroup1,jdbcType=NVARCHAR},
      WORKGROUP2 = #{record.workgroup2,jdbcType=NVARCHAR},
      ACUSSTA = #{record.acussta,jdbcType=NVARCHAR},
      GRIDTIME = #{record.gridtime,jdbcType=TIMESTAMP},
      NODETYPE = #{record.nodetype,jdbcType=NVARCHAR},
      WTNUM = #{record.wtnum,jdbcType=NVARCHAR},
      FAILURECODE = #{record.failurecode,jdbcType=NVARCHAR},
      WFNUM = #{record.wfnum,jdbcType=NVARCHAR},
      AVGWINSPE = #{record.avgwinspe,jdbcType=DECIMAL},
      CLASSIFICATION = #{record.classification,jdbcType=NVARCHAR},
      REPAIRDEPTBUGTYPE1 = #{record.repairdeptbugtype1,jdbcType=NVARCHAR},
      WSPEED = #{record.wspeed,jdbcType=DECIMAL},
      WARNID = #{record.warnid,jdbcType=NUMERIC},
      SNAPID = #{record.snapid,jdbcType=NVARCHAR},
      SNAPNAME = #{record.snapname,jdbcType=NVARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Wobugeq">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WOBUGEQ
    <set>
      <if test="bugnum != null">
        BUGNUM = #{bugnum,jdbcType=NVARCHAR},
      </if>
      <if test="eqnum != null">
        EQNUM = #{eqnum,jdbcType=NVARCHAR},
      </if>
      <if test="eqtype != null">
        EQTYPE = #{eqtype,jdbcType=NVARCHAR},
      </if>
      <if test="eqclass != null">
        EQCLASS = #{eqclass,jdbcType=NVARCHAR},
      </if>
      <if test="description != null">
        DESCRIPTION = #{description,jdbcType=NVARCHAR},
      </if>
      <if test="reportlabornum != null">
        REPORTLABORNUM = #{reportlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="findlabornum != null">
        FINDLABORNUM = #{findlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="findtime != null">
        FINDTIME = #{findtime,jdbcType=TIMESTAMP},
      </if>
      <if test="bugtype != null">
        BUGTYPE = #{bugtype,jdbcType=NVARCHAR},
      </if>
      <if test="rundeptopinion != null">
        RUNDEPTOPINION = #{rundeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="rundeptlabornum != null">
        RUNDEPTLABORNUM = #{rundeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="rundeptbugtype != null">
        RUNDEPTBUGTYPE = #{rundeptbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="ispowercut != null">
        ISPOWERCUT = #{ispowercut,jdbcType=NVARCHAR},
      </if>
      <if test="transmittime != null">
        TRANSMITTIME = #{transmittime,jdbcType=TIMESTAMP},
      </if>
      <if test="transmitdeptnum != null">
        TRANSMITDEPTNUM = #{transmitdeptnum,jdbcType=NVARCHAR},
      </if>
      <if test="prodtdeptopinion != null">
        PRODTDEPTOPINION = #{prodtdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="prodtdepttime != null">
        PRODTDEPTTIME = #{prodtdepttime,jdbcType=TIMESTAMP},
      </if>
      <if test="location != null">
        LOCATION = #{location,jdbcType=NVARCHAR},
      </if>
      <if test="prodtdeptlabornum != null">
        PRODTDEPTLABORNUM = #{prodtdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="repairdeptopinion != null">
        REPAIRDEPTOPINION = #{repairdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="repairdeptbugtype != null">
        REPAIRDEPTBUGTYPE = #{repairdeptbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="repairdepttime != null">
        REPAIRDEPTTIME = #{repairdepttime,jdbcType=TIMESTAMP},
      </if>
      <if test="repairdeptlabornum != null">
        REPAIRDEPTLABORNUM = #{repairdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="repairedtime != null">
        REPAIREDTIME = #{repairedtime,jdbcType=TIMESTAMP},
      </if>
      <if test="repairedcomment != null">
        REPAIREDCOMMENT = #{repairedcomment,jdbcType=NVARCHAR},
      </if>
      <if test="isresolved != null">
        ISRESOLVED = #{isresolved,jdbcType=NVARCHAR},
      </if>
      <if test="unresolvedbug != null">
        UNRESOLVEDBUG = #{unresolvedbug,jdbcType=NVARCHAR},
      </if>
      <if test="isdegraded != null">
        ISDEGRADED = #{isdegraded,jdbcType=NVARCHAR},
      </if>
      <if test="degradebugtype != null">
        DEGRADEBUGTYPE = #{degradebugtype,jdbcType=NVARCHAR},
      </if>
      <if test="checkdeptopinion != null">
        CHECKDEPTOPINION = #{checkdeptopinion,jdbcType=NVARCHAR},
      </if>
      <if test="checktime != null">
        CHECKTIME = #{checktime,jdbcType=TIMESTAMP},
      </if>
      <if test="checkdeptlabornum != null">
        CHECKDEPTLABORNUM = #{checkdeptlabornum,jdbcType=NVARCHAR},
      </if>
      <if test="lastbugtype != null">
        LASTBUGTYPE = #{lastbugtype,jdbcType=NVARCHAR},
      </if>
      <if test="buganalis != null">
        BUGANALIS = #{buganalis,jdbcType=NVARCHAR},
      </if>
      <if test="remark != null">
        REMARK = #{remark,jdbcType=NVARCHAR},
      </if>
      <if test="status != null">
        STATUS = #{status,jdbcType=NVARCHAR},
      </if>
      <if test="statusdate != null">
        STATUSDATE = #{statusdate,jdbcType=TIMESTAMP},
      </if>
      <if test="approvelabornum != null">
        APPROVELABORNUM = #{approvelabornum,jdbcType=NVARCHAR},
      </if>
      <if test="sitenum != null">
        SITENUM = #{sitenum,jdbcType=NVARCHAR},
      </if>
      <if test="corpnum != null">
        CORPNUM = #{corpnum,jdbcType=NVARCHAR},
      </if>
      <if test="loaderopinion != null">
        LOADEROPINION = #{loaderopinion,jdbcType=NVARCHAR},
      </if>
      <if test="cjzropinion != null">
        CJZROPINION = #{cjzropinion,jdbcType=NVARCHAR},
      </if>
      <if test="yijichushi != null">
        YIJICHUSHI = #{yijichushi,jdbcType=NVARCHAR},
      </if>
      <if test="yxispowercut != null">
        YXISPOWERCUT = #{yxispowercut,jdbcType=NVARCHAR},
      </if>
      <if test="departuretime != null">
        DEPARTURETIME = #{departuretime,jdbcType=TIMESTAMP},
      </if>
      <if test="arrivaltime != null">
        ARRIVALTIME = #{arrivaltime,jdbcType=TIMESTAMP},
      </if>
      <if test="workleader != null">
        WORKLEADER = #{workleader,jdbcType=NVARCHAR},
      </if>
      <if test="workgroup != null">
        WORKGROUP = #{workgroup,jdbcType=NVARCHAR},
      </if>
      <if test="staffnumber != null">
        STAFFNUMBER = #{staffnumber,jdbcType=NVARCHAR},
      </if>
      <if test="workgroup1 != null">
        WORKGROUP1 = #{workgroup1,jdbcType=NVARCHAR},
      </if>
      <if test="workgroup2 != null">
        WORKGROUP2 = #{workgroup2,jdbcType=NVARCHAR},
      </if>
      <if test="acussta != null">
        ACUSSTA = #{acussta,jdbcType=NVARCHAR},
      </if>
      <if test="gridtime != null">
        GRIDTIME = #{gridtime,jdbcType=TIMESTAMP},
      </if>
      <if test="nodetype != null">
        NODETYPE = #{nodetype,jdbcType=NVARCHAR},
      </if>
      <if test="wtnum != null">
        WTNUM = #{wtnum,jdbcType=NVARCHAR},
      </if>
      <if test="failurecode != null">
        FAILURECODE = #{failurecode,jdbcType=NVARCHAR},
      </if>
      <if test="wfnum != null">
        WFNUM = #{wfnum,jdbcType=NVARCHAR},
      </if>
      <if test="avgwinspe != null">
        AVGWINSPE = #{avgwinspe,jdbcType=DECIMAL},
      </if>
      <if test="classification != null">
        CLASSIFICATION = #{classification,jdbcType=NVARCHAR},
      </if>
      <if test="repairdeptbugtype1 != null">
        REPAIRDEPTBUGTYPE1 = #{repairdeptbugtype1,jdbcType=NVARCHAR},
      </if>
      <if test="wspeed != null">
        WSPEED = #{wspeed,jdbcType=DECIMAL},
      </if>
      <if test="warnid != null">
        WARNID = #{warnid,jdbcType=NUMERIC},
      </if>
      <if test="snapid != null">
        SNAPID = #{snapid,jdbcType=NVARCHAR},
      </if>
      <if test="snapname != null">
        SNAPNAME = #{snapname,jdbcType=NVARCHAR},
      </if>
    </set>
    where ID = #{id,jdbcType=NUMERIC}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Wobugeq">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WOBUGEQ
    set BUGNUM = #{bugnum,jdbcType=NVARCHAR},
      EQNUM = #{eqnum,jdbcType=NVARCHAR},
      EQTYPE = #{eqtype,jdbcType=NVARCHAR},
      EQCLASS = #{eqclass,jdbcType=NVARCHAR},
      DESCRIPTION = #{description,jdbcType=NVARCHAR},
      REPORTLABORNUM = #{reportlabornum,jdbcType=NVARCHAR},
      FINDLABORNUM = #{findlabornum,jdbcType=NVARCHAR},
      FINDTIME = #{findtime,jdbcType=TIMESTAMP},
      BUGTYPE = #{bugtype,jdbcType=NVARCHAR},
      RUNDEPTOPINION = #{rundeptopinion,jdbcType=NVARCHAR},
      RUNDEPTLABORNUM = #{rundeptlabornum,jdbcType=NVARCHAR},
      RUNDEPTBUGTYPE = #{rundeptbugtype,jdbcType=NVARCHAR},
      ISPOWERCUT = #{ispowercut,jdbcType=NVARCHAR},
      TRANSMITTIME = #{transmittime,jdbcType=TIMESTAMP},
      TRANSMITDEPTNUM = #{transmitdeptnum,jdbcType=NVARCHAR},
      PRODTDEPTOPINION = #{prodtdeptopinion,jdbcType=NVARCHAR},
      PRODTDEPTTIME = #{prodtdepttime,jdbcType=TIMESTAMP},
      LOCATION = #{location,jdbcType=NVARCHAR},
      PRODTDEPTLABORNUM = #{prodtdeptlabornum,jdbcType=NVARCHAR},
      REPAIRDEPTOPINION = #{repairdeptopinion,jdbcType=NVARCHAR},
      REPAIRDEPTBUGTYPE = #{repairdeptbugtype,jdbcType=NVARCHAR},
      REPAIRDEPTTIME = #{repairdepttime,jdbcType=TIMESTAMP},
      REPAIRDEPTLABORNUM = #{repairdeptlabornum,jdbcType=NVARCHAR},
      REPAIREDTIME = #{repairedtime,jdbcType=TIMESTAMP},
      REPAIREDCOMMENT = #{repairedcomment,jdbcType=NVARCHAR},
      ISRESOLVED = #{isresolved,jdbcType=NVARCHAR},
      UNRESOLVEDBUG = #{unresolvedbug,jdbcType=NVARCHAR},
      ISDEGRADED = #{isdegraded,jdbcType=NVARCHAR},
      DEGRADEBUGTYPE = #{degradebugtype,jdbcType=NVARCHAR},
      CHECKDEPTOPINION = #{checkdeptopinion,jdbcType=NVARCHAR},
      CHECKTIME = #{checktime,jdbcType=TIMESTAMP},
      CHECKDEPTLABORNUM = #{checkdeptlabornum,jdbcType=NVARCHAR},
      LASTBUGTYPE = #{lastbugtype,jdbcType=NVARCHAR},
      BUGANALIS = #{buganalis,jdbcType=NVARCHAR},
      REMARK = #{remark,jdbcType=NVARCHAR},
      STATUS = #{status,jdbcType=NVARCHAR},
      STATUSDATE = #{statusdate,jdbcType=TIMESTAMP},
      APPROVELABORNUM = #{approvelabornum,jdbcType=NVARCHAR},
      SITENUM = #{sitenum,jdbcType=NVARCHAR},
      CORPNUM = #{corpnum,jdbcType=NVARCHAR},
      LOADEROPINION = #{loaderopinion,jdbcType=NVARCHAR},
      CJZROPINION = #{cjzropinion,jdbcType=NVARCHAR},
      YIJICHUSHI = #{yijichushi,jdbcType=NVARCHAR},
      YXISPOWERCUT = #{yxispowercut,jdbcType=NVARCHAR},
      DEPARTURETIME = #{departuretime,jdbcType=TIMESTAMP},
      ARRIVALTIME = #{arrivaltime,jdbcType=TIMESTAMP},
      WORKLEADER = #{workleader,jdbcType=NVARCHAR},
      WORKGROUP = #{workgroup,jdbcType=NVARCHAR},
      STAFFNUMBER = #{staffnumber,jdbcType=NVARCHAR},
      WORKGROUP1 = #{workgroup1,jdbcType=NVARCHAR},
      WORKGROUP2 = #{workgroup2,jdbcType=NVARCHAR},
      ACUSSTA = #{acussta,jdbcType=NVARCHAR},
      GRIDTIME = #{gridtime,jdbcType=TIMESTAMP},
      NODETYPE = #{nodetype,jdbcType=NVARCHAR},
      WTNUM = #{wtnum,jdbcType=NVARCHAR},
      FAILURECODE = #{failurecode,jdbcType=NVARCHAR},
      WFNUM = #{wfnum,jdbcType=NVARCHAR},
      AVGWINSPE = #{avgwinspe,jdbcType=DECIMAL},
      CLASSIFICATION = #{classification,jdbcType=NVARCHAR},
      REPAIRDEPTBUGTYPE1 = #{repairdeptbugtype1,jdbcType=NVARCHAR},
      WSPEED = #{wspeed,jdbcType=DECIMAL},
      WARNID = #{warnid,jdbcType=NUMERIC},
      SNAPID = #{snapid,jdbcType=NVARCHAR},
      SNAPNAME = #{snapname,jdbcType=NVARCHAR}
    where ID = #{id,jdbcType=NUMERIC}
  </update>

  <select id="getWtnum"  resultType="java.lang.Integer">
    select wtnum,wtid from windturbine
    where   wtid = #{wtId}
  </select>

  <select id="findDuration"  resultType="com.gyee.frame.model.custom.MainTrackVo">
    SELECT avg(rwfpsc) rwfppjsc,avg(ddxcsc) ddxcpjsc,avg(qxclsc) qxclpjsc,avg(yssc) yspjsc FROM
    (SELECT ABS(DATEDIFF(mi,a.Operationdate,b.Prodtdepttime)) rwfpsc,DATEDIFF(mi,b.Departuretime,b.Arrivaltime) ddxcsc,
    DATEDIFF(mi,b.Arrivaltime,b.Gridtime) qxclsc,DATEDIFF(mi,b.Gridtime,b.Checktime) yssc  FROM RECOMMENMAIN a,WOBUGEQ b
    WHERE a.WOBUGID=b.BUGNUM ) a
  </select>

  <select id="totalNum"  resultType="com.gyee.frame.model.custom.SimpleVo">
SELECT  count(*) value FROM WOBUGEQ where
  FINDTIME >= #{beginDate} and FINDTIME &lt; #{endDate} and STATUS='流程关闭'

  </select>
</mapper>